From a4b7c3b0b28dba517b21d6112f54455c41121fb3 Mon Sep 17 00:00:00 2001
From: Peter Vreman <peter.vreman@acision.com>
Date: Mon, 24 Aug 2009 14:29:51 +0200
Subject: [PATCH] add netboot enable with checkbox to system list

---
 web/cobbler_web/templates/generic_list.tmpl |   16 ++++++++++------
 web/cobbler_web/views.py                    |   10 +++++++++-
 2 files changed, 19 insertions(+), 7 deletions(-)

diff --git a/web/cobbler_web/templates/generic_list.tmpl b/web/cobbler_web/templates/generic_list.tmpl
index 6d4f1b3..fa92761 100644
--- a/web/cobbler_web/templates/generic_list.tmpl
+++ b/web/cobbler_web/templates/generic_list.tmpl
@@ -126,14 +126,18 @@ function action_multi(otype, action, param) {
           {% ifequal value.0 "name" %}
           <a href="/cobbler_web/{{ what }}/edit/{{ value.1 }}">{{ value.1 }}</a>
           {% endifequal %}
-          {% ifequal value.0 "profile" %}
-          <a href="/cobbler_web/profile/edit/{{ value.1 }}">{{ value.1 }}</a>
+          {% ifequal value.2 "editlink" %}
+          <a href="/cobbler_web/{{ value.0 }}/edit/{{ value.1 }}">{{ value.1 }}</a>
           {% endifequal %}
-          {% ifequal value.0 "distro" %}
-          <a href="/cobbler_web/distro/edit/{{ value.1 }}">{{ value.1 }}</a>
+          {% ifequal value.2 "checkbox" %}
+            {% ifequal value.1 1 %}
+            <input type="checkbox" name="{{ item.name }}" id="{{ item.name }}" value="{{ item.name }}" disabled="disabled" checked="checked" />
+            {% else %}
+            <input type="checkbox" name="{{ item.name }}" id="{{ item.name }}" value="{{ item.name }}" disabled="disabled" />
+            {% endifequal %}
           {% endifequal %}
-          {% ifequal value.0 "image" %}
-          <a href="/cobbler_web/image/edit/{{ value.1 }}">{{ value.1 }}</a>
+          {% ifequal value.2 "text" %}
+          {{ value.1 }}
           {% endifequal %}
         </td>
         {% endfor %}
diff --git a/web/cobbler_web/views.py b/web/cobbler_web/views.py
index 0c289b1..9cb7bd7 100644
--- a/web/cobbler_web/views.py
+++ b/web/cobbler_web/views.py
@@ -225,7 +225,15 @@ def __format_items(items, column_names):
     for itemhash in items:
         row = []
         for fieldname in column_names:
-            row.append([fieldname,itemhash[fieldname]])
+            if fieldname == "name":
+                html_element = "name"
+            elif fieldname in [ "system", "repo", "distro", "profile", "image" ]:
+                html_element = "editlink"
+            elif fieldname in field_info.USES_CHECKBOX:
+                html_element = "checkbox"
+            else:
+                html_element = "text"
+            row.append([fieldname,itemhash[fieldname],html_element])
         dataset.append(row)
     return dataset
 
-- 
1.5.5.6

